# The "pgp" Package

These routines are meant to provide a simple interface to PGP.

Library: karma
Link With: -lkarma

#### Functions

pgp_decrypt | Decrypt a block of data using PGP and PGPdaemon.
pgp_encrypt | Encrypt a block of data using PGP.

## Functions

char * pgp_decrypt (CONST char *ciphertext, unsigned int ciphertext_length, unsigned int *plaintext_length)

Decrypt a block of data using PGP and PGPdaemon.

Parameters:

- ciphertext : The input ciphertext data.
- ciphertext_length : The length of the input ciphertext data.
- plaintext_length : The length of the decrypted data is written here.

Returns: A pointer to the plaintext data on success, else NULL.
Multithreading Level: Unsafe

char * pgp_encrypt (CONST char *plaintext, unsigned int plaintext_length, CONST char **recipients, unsigned int num_recipients, unsigned int *ciphertext_length, flag ascii_armour)

Encrypt a block of data using PGP.

Parameters:

- plaintext : The input plaintext data.
- plaintext_length : The length of the input plaintext data.
- recipients : The list of recipients to encrypt for.
- num_recipients : The number of recipients in the recipient list.
- ciphertext_length : The length of the encrypted data is written here.
- ascii_armour : If TRUE, the ciphertext is ASCII armoured, suitable for transmitting through Email.

Returns: A pointer to the ciphertext data on success, else NULL.
Multithreading Level: Unsafe

Back to Karma Home Page